For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
      • Subscribing
      • Receiving
      • Event Delivery and Retry Logic
      • Persistent Failures and Disabling Logic
      • Idempotency and the X-Event-ID Header
      • Handling event order with X-Timestamp
      • Verifying
      • GETList all subscribable event types
      • GETList all secrets
      • POSTCreate/replace a secret
      • GETList all subscriptions
      • POSTCreate a subscription
      • GETRetrieve a subscription
      • POSTConfirm a subscription
      • DELDelete a subscription
      • PATCHUpdate a subscription
      • GETGet subscription events
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
On this page
  • submission.status.change
  • study.status.change
  • study.progress.change
  • study.has_high_return_rate
API ReferenceWebhooks

Receiving

|View as Markdown|Open in Claude|
Was this page helpful?
Previous

Subscribing

Next

Event Delivery and Retry Logic

Having successfully subscribed to our desired event type, our target url will be notified each and every time the associated event is triggered. You can react to this event in any way you see fit. The response body will adhere to the following structure:

submission.status.change

1{
2 "resource_id": "<resource_id>",
3 "event_type": "submission.status.change",
4 "participant_id": "<participant_id>",
5 "status": "<status>",
6}
FieldDescription
resource_idThe unique identifier of the submission resource.
event_typeThe type of event submission.status.change.
participant_idThe unique identifier of the participant associated with the submission.
statusThe new status of the submission.

study.status.change

1{
2 "resource_id": "<resource_id>",
3 "event_type": "study.status.change",
4 "metadata": {},
5 "status": "<status>",
6}
FieldDescription
resource_idThe unique identifier of the study resource.
event_typeThe type of event study.status.change.
metadataAny additional metadata related to the study’s status change.
statusThe new status of the study.

study.progress.change

1{
2 "resource_id": "<resource_id>",
3 "event_type": "study.progress.change",
4}
FieldDescription
resource_idThe unique identifier of the study resource.
event_typeThe type of event study.progress.change.

study.has_high_return_rate

1{
2 "resource_id": "<resource_id>",
3 "event_type": "study.has_high_return_rate",
4 "metadata": {},
5}
FieldDescription
resource_idThe unique identifier of the study resource. For sub-studies, this will be the parent study ID.
event_typeThe type of event study.has_high_return_rate.
metadataAny additional metadata related to the study’s high return rate.